### Method

# Foundry DiagnosticBuilder add_fix

since: 1.1

#### Declaration [src]

    void
    foundry_diagnostic_builder_add_fix (
      FoundryDiagnosticBuilder* self,
      const char* description,
      GListModel* text_edits
    )

#### Description [src]

Adds a potential fix to the diagnostic.

Available since: 1.1

#### Parameters

`description`

  Type: `const char*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`text_edits`

  Type: `GObject`

  `GListModel` of `FoundryTextEdit`.

  The data is owned by the caller of the method.